> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Event Hub Functions

> Lists all currently registered Event Hub triggered Azure Functions for a given title.

Allowed entity token types: title



## OpenAPI

````yaml /services/playfab/api-references/rest/cloudscript/cloudscript.openapi.json post /CloudScript/ListEventHubFunctions
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab CloudScript API
  description: API methods for executing CloudScript using an Entity Profile
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
paths:
  /CloudScript/ListEventHubFunctions:
    post:
      tags:
        - Server-Side Cloud Script
      summary: List Event Hub Functions
      description: >-
        Lists all currently registered Event Hub triggered Azure Functions for a
        given title.


        Allowed entity token types: title
      operationId: ListEventHubFunctions
      requestBody:
        $ref: '#/components/requestBodies/ListFunctionsRequest'
      responses:
        '200':
          $ref: '#/components/responses/ListEventHubFunctionsResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  requestBodies:
    ListFunctionsRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ListFunctionsRequest'
      description: >-
        A title can have many functions, ListHttpFunctions will return a list of
        all the currently registered HTTP triggered functions for a given title.
  responses:
    ListEventHubFunctionsResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ListEventHubFunctionsResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  schemas:
    ListFunctionsRequest:
      description: >-
        A title can have many functions, ListHttpFunctions will return a list of
        all the currently registered HTTP triggered functions for a given title.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
      example: {}
    ListEventHubFunctionsResult:
      type: object
      properties:
        Functions:
          description: >-
            The list of EventHub triggered functions that are currently
            registered for the title.
          type: array
          items:
            $ref: '#/components/schemas/EventHubFunctionModel'
          x-isclass: true
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    EventHubFunctionModel:
      type: object
      properties:
        ConnectionString:
          description: The connection string for the event hub.
          type: string
        EventHubName:
          description: The name of the event hub that triggers the Azure Function.
          type: string
        FunctionName:
          description: The name the function was registered under.
          type: string
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [List Event Hub Functions](/services/playfab/api-references/rest/cloudscript/server-side-cloud-script/list-event-hub-functions.md)
- [PlayFab Services SDK Release Notes 2024](/services/playfab/release-notes/2024.md)
- [Register Event Hub Function](/api-reference/server-side-cloud-script/register-event-hub-function.md)
- [PFCloudScriptEventHubFunctionModel](/services/playfab/api-references/c/pfcloudscripttypes/structs/pfcloudscripteventhubfunctionmodel.md)
- [List Functions](/services/playfab/api-references/rest/cloudscript/server-side-cloud-script/list-functions.md)
